#coding: utf-8
from openerp import models, fields, api, _, tools

class interface_conf(models.TransientModel):
    _name = 'interface.conf'
    _description = 'Interface Settings'

    company_id = fields.Many2one('res.company',string='Company',required=True,default=lambda self: self.env.user.company_id or False)
    user_own_theme = fields.Boolean(related='company_id.user_own_theme')
    custom_email_footer = fields.Char(related='company_id.custom_email_footer',translate=True)
    footer_link = fields.Char(related='company_id.footer_link',translate=True)

    @api.one
    def execute(self):
    	return True